{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "ADR_ADRESSE1"; 
            externalType = VARCHAR2; 
            name = adrAdresse1; 
            valueClassName = NSString; 
            valueType = S; 
            width = 60; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ADR_ADRESSE2"; 
            externalType = VARCHAR2; 
            name = adrAdresse2; 
            valueClassName = NSString; 
            valueType = S; 
            width = 40; 
        }, 
        {
            columnName = "ADR_CIVILITE"; 
            externalType = VARCHAR2; 
            name = adrCivilite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ADR_CP"; 
            externalType = VARCHAR2; 
            name = adrCp; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "ADR_NOM"; 
            externalType = VARCHAR2; 
            name = adrNom; 
            valueClassName = NSString; 
            valueType = S; 
            width = 120; 
        }, 
        {
            columnName = "ADR_ORDRE"; 
            externalType = NUMBER; 
            name = adrOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ADR_PRENOM"; 
            externalType = VARCHAR2; 
            name = adrPrenom; 
            valueClassName = NSString; 
            valueType = S; 
            width = 30; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ADR_VILLE"; 
            externalType = VARCHAR2; 
            name = adrVille; 
            valueClassName = NSString; 
            valueType = S; 
            width = 60; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_ORDRE"; 
            externalType = NUMBER; 
            name = agtOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_ORDRE"; 
            externalType = NUMBER; 
            name = cptOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "FOU_CODE"; 
            externalType = VARCHAR2; 
            name = fouCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 6; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FOU_DATE"; 
            externalType = DATE; 
            name = fouDate; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FOU_ETRANGER"; 
            externalType = CHAR; 
            name = fouEtranger; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "FOU_MARCHE"; 
            externalType = CHAR; 
            name = fouMarche; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "FOU_ORDRE"; 
            externalType = NUMBER; 
            name = fouOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FOU_TYPE"; 
            externalType = VARCHAR2; 
            name = fouType; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FOU_VALIDE"; 
            externalType = VARCHAR2; 
            name = fouValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "initcap(personne.persLibelle||' '||personne.persLc)"; 
            externalType = VARCHAR2; 
            name = "personne_persNomPrenom"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 300; 
        }, 
        {
            allowsNull = Y; 
            columnName = SIRET; 
            externalType = VARCHAR2; 
            name = siret; 
            valueClassName = NSString; 
            valueType = S; 
            width = 14; 
        }
    ); 
    attributesUsedForLocking = (
        adrAdresse1, 
        adrAdresse2, 
        adrCivilite, 
        adrCp, 
        adrNom, 
        adrOrdre, 
        adrPrenom, 
        adrVille, 
        agtOrdre, 
        cptOrdre, 
        fouCode, 
        fouEtranger, 
        fouMarche, 
        fouOrdre, 
        fouType, 
        fouValide, 
        persId, 
        siret
    ); 
    className = "org.cocktail.kava.server.metier.EOFournisUlr"; 
    classProperties = (
        adrAdresse1, 
        adrAdresse2, 
        adrCivilite, 
        adrCp, 
        adrNom, 
        adrPrenom, 
        adrVille, 
        adresse, 
        agtOrdre, 
        cptOrdre, 
        dCreation, 
        dModification, 
        fouCode, 
        fouDate, 
        fouEtranger, 
        fouMarche, 
        fouType, 
        fouValide, 
        personne, 
        "personne_persNomPrenom", 
        ribfourUlrs, 
        siret
    ); 
    externalName = "jefy_recette.v_fournis_ulr"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            adrAdresse1, 
            adrAdresse2, 
            adrCivilite, 
            adrCp, 
            adrNom, 
            adrPrenom, 
            adrVille, 
            adresse, 
            agtOrdre, 
            cptOrdre, 
            dCreation, 
            dModification, 
            fouCode, 
            fouDate, 
            fouEtranger, 
            fouMarche, 
            fouType, 
            fouValide, 
            personne, 
            "personne_persNomPrenom", 
            ribfourUlrs, 
            siret
        ); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOFournisUlr"; 
        "_nameInObjectStore" = "grhum.fournis_ulr"; 
    }; 
    name = FournisUlr; 
    primaryKeyAttributes = (fouOrdre); 
    relationships = (
        {
            destination = Adresse; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = adrOrdre; sourceAttribute = adrOrdre; }); 
            name = adresse; 
        }, 
        {
            destination = Personne; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = personne; 
        }, 
        {
            destination = RibfourUlr; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = fouOrdre; sourceAttribute = fouOrdre; }); 
            name = ribfourUlrs; 
        }
    ); 
}
